Mandriva Linux Security Advisory : perl-IO-Socket-SSL (MDVSA-2011:092)

Medium Nessus Plugin ID 54578


The remote Mandriva Linux host is missing a security update.


A vulnerability has been found and corrected in perl-IO-Socket-SSL :

IO::Socket::SSL Perl module 1.35, when verify_mode is not VERIFY_NONE, fails open to VERIFY_NONE instead of throwing an error when a ca_file/ca_path cannot be verified, which allows remote attackers to bypass intended certificate restrictions (CVE-2010-4334).

The updated packages have been patched to correct this issue.


Update the affected perl-IO-Socket-SSL package.

Plugin Details

Severity: Medium

ID: 54578

File Name: mandriva_MDVSA-2011-092.nasl

Version: $Revision: 1.7 $

Type: local

Published: 2011/05/19

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4

Temporal Score: 3.5

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:perl-IO-Socket-SSL, cpe:/o:mandriva:linux:2010.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/05/18

Reference Information

CVE: CVE-2010-4334

BID: 45189

MDVSA: 2011:092